package com.kdanmobile.kdan_others_library_for_android.card;

import android.content.Context;
import android.support.annotation.NonNull;
import android.support.annotation.Nullable;
import android.util.AttributeSet;

import com.kdanmobile.kdan_others_library_for_android.R;

/**
 * Created by Wei on 2017/11/20.
 */

public class IPhoneXC365Card extends BaseCard {

    private OnClickListener onClickViewNowListener;
    private OnClickListener onClickImageListener;

    public IPhoneXC365Card(@NonNull Context context) {
        super(context);
        initView();
    }

    public IPhoneXC365Card(@NonNull Context context, @Nullable AttributeSet attrs) {
        super(context, attrs);
        initView();
    }

    public IPhoneXC365Card(@NonNull Context context, @Nullable AttributeSet attrs, int defStyleAttr) {
        super(context, attrs, defStyleAttr);
        initView();
    }

    public void setButtonColor(int color) {
        getAction1Button().setTextColor(color);
    }

    public void setOnClickViewNowListener(OnClickListener onClickViewNowListener) {
        this.onClickViewNowListener = onClickViewNowListener;
    }

    public void setOnClickImageListener(OnClickListener onClickImageListener) {
        this.onClickImageListener = onClickImageListener;
    }

    private void initView() {
        getMediaImageView().setImageResource(R.mipmap.cd_iphonex_c365_new_year);
        getMediaImageView().setOnClickListener(v -> {
            if (onClickImageListener != null) onClickImageListener.onClick(v);
        });
        getSupportingTextTextView().setVisibility(VISIBLE);
        getSupportingTextTextView().setText(R.string.iphone_c365_card_description);
        int c = getContext().getResources().getColor(R.color.card_view_supporting_text_color);
        getSupportingTextTextView().setTextColor(c);
        getAction1Button().setVisibility(VISIBLE);
        getAction1Button().setText(R.string.iphone_c365_card_description_btn);
        getAction1Button().setOnClickListener(v -> {
            if (onClickViewNowListener != null) onClickViewNowListener.onClick(v);
        });
    }
}
